Skip to main content
POST
Assign company price group

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

companyId
integer
required

The unique identifier of the company

Body

application/json
price_level_id
integer
required

Price level to apply (see GET /price-levels)

Example:

4

product_category_id
integer
required

Product category the price level applies to

Example:

18

product_subcategory_id
integer | null

Narrow the assignment to one subcategory of product_category_id. Omit or null for the whole category.

Example:

52

price_group_id
integer | null

Optional price group to record on the assignment

Response

Assignment created

data
object

Assigns the price level a company gets for a product category (optionally narrowed to a subcategory).